summaryrefslogtreecommitdiff
path: root/runql
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2018-01-10 16:08:04 +0200
committerLars Wirzenius <liw@liw.fi>2018-01-10 16:08:04 +0200
commit0d03db771b48f7d90cf96560c32048001809e84f (patch)
tree0dd2afc2fef804df1e501c60000d0d08e1773e50 /runql
parent9fdf74a1b44f76a3749ae4111472647d79cf3f6a (diff)
downloadextrautils-0d03db771b48f7d90cf96560c32048001809e84f.tar.gz
Add: a bunch of new scripts
Diffstat (limited to 'runql')
-rwxr-xr-xrunql14
1 files changed, 14 insertions, 0 deletions
diff --git a/runql b/runql
new file mode 100755
index 0000000..aeb759d
--- /dev/null
+++ b/runql
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -eu
+
+stack="$1"
+playbook="$2"
+shift 2
+
+subdir="$OS_PROJECT_SHORTNAME"
+export PASSWORD_STORE_DIR="$HOME/qvarnlabs/code/qvarnlabs-secrets/$subdir"
+
+CODE="$HOME/qvarnlabs/code/"
+
+"$CODE/qvarnlabs-openstack/run-playbook" "$stack" "$playbook" "$@"